PHP K�sikirja
Edellinen |  | Seuraava

# DOMElement->setAttributeNode()

DOMElement->setAttributeNode() -- Adds new attribute node to element

## Description

class DOMElement {
DOMAttr setAttributeNode ( DOMAttr attr )
}

Adds new attribute node attr to element.

## Parameters

attr

  The attribute node.

## Return values

Returns old node if the attribute has been replaced or `NULL`.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## See Also

DOMElement->hasAttribute()
DOMElement->getAttributeNode()
DOMElement->removeAttributeNode()

Edellinen | Alkuun | Seuraava
DOMElement->setAttribute() | Ylös | DOMElement->setAttributeNodeNS()